<?php
declare(strict_types=1);

namespace App\Controller;
use Cake\I18n\Time;
use Cake\Event\EventInterface;
/**
 * Home Controller
 *
 * @method \App\Model\Entity\Home[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class HomeController extends ContentsController
{
  public function initialize(): void
  {
    parent::initialize();

    $this->slug = "home";
    $this->paginate = [
      'limit' => 50
    ];
  }

  public function beforeRender(EventInterface $event)
  {
    parent::beforeRender($event);
  }

  public function isAuthorized($user)
  {
    return parent::isAuthorized($user);
  }
  /**
   * Index method
   *
   * @return \Cake\Http\Response|null|void Renders view
   */
  public function index()
  {
    parent::index();
  }


}
